# eslint-formatter-mo

![npm version](https://img.shields.io/npm/v/eslint-formatter-mo)
![npm downloads](https://img.shields.io/npm/dm/eslint-formatter-mo)
[![semantic-release](https://img.shields.io/badge/%20%20%F0%9F%93%A6%F0%9F%9A%80-semantic--release-e10079.svg)](https://github.com/semantic-release/semantic-release)
[![actions status](https://github.com/fengzilong/eslint-formatter-mo/workflows/Release/badge.svg)](https://github.com/fengzilong/eslint-formatter-mo/actions/workflows/release.yml)

Good-lookin' ESLint formatter

<img src="media/screenshot.jpg" alt="screenshot" width="700px">

🎊 Obviously it's more human-readable 🎉🎉🎉

# Features

- 🎯 Line number
- 🌈 Code highlight
- ⚓️ Position pointer
- 🦄 Error/Warning detail
- 🍻 Auto-fixable is also marked
- 📄 File-level summary
- 📋 Total summary



# Installation

```bash
yarn add eslint-formatter-mo --dev
```

or

```bash
npm i eslint-formatter-mo -D
```

# Usage

Simply append `-f mo` to your eslint command

`eslint [patterns] -f mo`

> -f is short for --format

See [ESLint Formatters](https://eslint.org/docs/user-guide/formatters/#eslint-formatters) for detail

# More screenshots

<img src="media/file-level-summary.jpg" alt="file-level-summary" width="300px">

<img src="media/summary.jpg" alt="summary" width="300px">

# License

MIT
